import objectdraw.*;

/*
 * A Java interface that lists the methods required by
 * the "laundry" items in a more advanced version of
 * the laundry sorter program.
 *
 * Jim Teresco, The College of Saint Rose, Fall 2013
 * Based on example from Williams College CSCI 134
 *
 * $Id: Laundry.java 2218 2013-10-18 14:06:39Z terescoj $
 */

public interface Laundry {
	
    // Move the laundry relative to its current position
    // Parameter:
    //    xOffset - distance to move horizontally
    //    yOffset - distance to move vertically
    public void move(double xOffset, double yOffset);
    
    // Move the laundry to a specific position:
    //    x - x coordinate
    //    y - y coordinate
    public void moveTo(double x, double y);
    
    // Remove the laundry from the canvas
    public void removeFromCanvas();
    
    // Return true if the point is in the laundry
    // Parameters:
    //    pt - the point to test for containment
    public boolean contains(Location pt);
    
    // Return the sum of the redness, blueness, and greenness 
    // of the laundry item.
    public int colorValue();

}
