import objectdraw.*;
import java.awt.*;

/*
 * A slightly fancier laundry basket object, encapsulating
 * the basket with its label.
 *
 * Jim Teresco, The College of Saint Rose, Fall 2013
 * Based on example from Williams College CSCI 134
 *
 * $Id: LaundryBasket.java 2218 2013-10-18 14:06:39Z terescoj $
 */

public class LaundryBasket {

    // Constant controlling basket sizes
    private static final int BASKETSIZE = 50; 

    // Constants controlling text positioning
    private static final int TEXTDOWNSET = 30;
    private static final int TEXTINSET = 5;

    // boundary of basket
    private FramedRect box;         

    // Create a new laundry basket
    //
    // x,y   -- location of basket's upper left corner
    // label -- text to display within basket
    // canvas - the drawing canvas
    public LaundryBasket(double x, double y, String label       ,
    DrawingCanvas canvas) {

        box = new FramedRect(x, y, BASKETSIZE, BASKETSIZE, canvas);
        new Text(label, x + TEXTINSET, y + TEXTDOWNSET,
            canvas).setFontSize(13);

    }

    // Test to see if the basket contains a point
    public boolean contains(Location point) {
        
        return box.contains(point);
    }
}
